<script setup lang="ts">
import type { BSPaper } from '@/types/BSPaper'
import type { BSPaperItem } from '@/types/BSPaperItem'
import { computed, ref } from 'vue'
import BSPaperItemList from '@/components/BuystockComponent/BSPaperItemList.vue'

const props = defineProps<{
  modelValue: boolean
  bspaper: BSPaper
  bspaperItems: BSPaperItem[]
}>()
const emit = defineEmits<{
  'update:modelValue': [boolean]
  agree: []
}>()
const value = computed({
  get() {
    return props.modelValue
  },
  set(value) {
    emit('update:modelValue', value)
  }
})
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="value" persistent width="auto">
      <v-card>
        <v-card-title class="text-h5">BSPaper</v-card-title>
        <v-card-text>
          <v-sheet>
            <p>
              วันที่: {{ bspaper.createdDate.toLocaleDateString() }} พนักงาน:
              {{ bspaper.user?.fullName }}
            </p>
          </v-sheet>
          <BSPaperItemList :editable="false"></BSPaperItemList>
          <v-sheet
            ><p>รวมเป็น: {{ bspaper.total }} บาท จำนวน: {{ bspaper.amount }} ชิ้น</p></v-sheet
          >
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green-darken-1" variant="text" @click="value = false"> Disagree </v-btn>
          <v-btn
            color="green-darken-1"
            variant="text"
            @click="
              () => {
                value = false
                console.log(bspaper)
                console.log(bspaperItems)
                emit('agree')
              }
            "
          >
            Agree
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
